#!/bin/bash
#
# Federated Start Script

usage() {
  echo "$0: all|dns|ldap|mail|collabora|nextcloud|panel|proxy"
  exit 2
}
startservice() {
  echo "* Starting $SERVICE.."
  docker-compose -f fstack/$SERVICE/docker-compose.yml -p $SERVICE up -d
}
startservice_all() {
  for i in dns ldap mail collabora nextcloud panel proxy; do
    echo "* Starting $i.."
    docker-compose -f fstack/$i/docker-compose.yml -p $i up -d
  done
}

[ $# != 1 ] && usage
SERVICE=$1

case "$SERVICE" in
  all) startservice_all;;
  dns|ldap|mail|collabora|nextcloud|panel|proxy) startservice;;
  *) usage;;
esac
